require 'json'
require 'open-uri'

module SpotTracks
  class Player
    HOST = 'https://api.spotify.com'

    def search(term)
      path = "v1/search?q=#{CGI.escape(term)}&type=track"
      SpotTracks::Track.parse api_data("#{HOST}/#{path}")
    end

    private

    def api_data(url)
      JSON.parse(get(url))
    end

    def get(url)
      open(url).read
    end
  end
end
